## `<w-snackbar>` API

Unless otherwise noted all properties are HTML attributes (as opposed to JavaScript object properties).

### Properties

| Name | Type | Default | Summary |
|-|-|-|-|
| create (JS only) | `create(message: string, options: CreateSnackbarOptions = {}) => void` | `-` | Creates a snackbar item and immediately adds it to the snackbar. |

### Property Details

#### create (JS only)

Creates a snackbar item and immediately adds it to the snackbar.

By default the snackbar item automatically closes after 4 seconds (`SnackbarDuration.Short`).

If you include an `action` in the options the default `duration` is
set to 10 seconds (`SnackbarDuration.Long`) and can not be made shorter.

A `duration` of 10 seconds or longer forces the close button to be visible.

The default `variant` is `neutral` which does not have an icon.

Set `duration` to `SnackbarDuration.Infinite` if you want a persistent message.

- Type: `create(message: string, options: CreateSnackbarOptions = {}) => void`
- Default: `-`

